Bug 111539 - X Radeon driver no longer detecting second display after installing latest updates
X Radeon driver no longer detecting second display after installing latest up...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
http://www.castandcrew.com/~gregory/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-04 18:41 EST by Gregory K. Ruiz-Ade
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 13:23:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory K. Ruiz-Ade 2003-12-04 18:41:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
I performed an update of my Red Hat Linux 9 system (using apt against
freshrpms.net's redhat os and updates repositories).  After the update
finished, I restarted my machine, and at that point the X Radeon
driver would no longer detect the second display.  This results in
both my monitors displaying the same thing.  I miss my Xinerama (*sniff*).

The XFree86.0.log file at the above URL has the exact message at line 667:

(WW) RADEON(1): Only one monitor detected, Second screen will NOT be
created

Additionally, I have placed my XF86Config file at the above URL.

This configuration was working perfectly before the update.

The graphics card in question is an ATI Radeon VE (Dell Precision
350n) with dual-display support, configured for dual VGA outputs.

Version-Release number of selected component (if applicable):
XFree86-4.3.0-2.90.43

How reproducible:
Always

Steps to Reproduce:
1. Configure X for dual-head Xinerama support
2. Start X
3. Watch X ignore the second head and start in single-head mode
    

Actual Results:  X started in single-head mode.

Expected Results:  X should have started in dual-head mode with
Xinerama support.

Additional info:
Comment 1 Mike A. Harris 2004-10-12 13:23:23 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.


Note You need to log in before you can comment on or make changes to this bug.